Package org.gradle.jvm.toolchain

## Interface JavaInstallation

-     @Incubating
      public interface JavaInstallation

  Information about a Java installation, which may include a JRE or a JDK or both.

  You can obtain an instance of this type using `JavaInstallationRegistry`.

  Since:
    6.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getImplementationName()` | Returns a name that identifies the implementation of this installation.
    `Directory` | `getInstallationDirectory()` | Returns the root directory of this installation.
    `RegularFile` | `getJavaExecutable()` | Returns a Java executable packaged in this installation that can be used for running applications.
    `JavaVersion` | `getJavaVersion()` | Returns the Java version that this installation provides
    `Optional<JavaDevelopmentKit>` | `getJdk()` | Returns information about the JDK packaged in this installation, if any.

- - ### Method Detail

    - #### getJavaVersion

          JavaVersion getJavaVersion()

      Returns the Java version that this installation provides

    - #### getInstallationDirectory

          Directory getInstallationDirectory()

      Returns the root directory of this installation.

    - #### getJavaExecutable

          RegularFile getJavaExecutable()

      Returns a Java executable packaged in this installation that can be used for running applications. This will be the Java executable from the stand alone JRE, if present, otherwise the Java executable from the JDK.

    - #### getImplementationName

          String getImplementationName()

      Returns a name that identifies the implementation of this installation.

    - #### getJdk

          Optional<JavaDevelopmentKit> getJdk()

      Returns information about the JDK packaged in this installation, if any.